package com.atlassian.bitbucket.scm.git.command.merge.conflict;

import javax.annotation.Nonnull;

import static com.atlassian.bitbucket.content.ChangeType.MODIFY;
import static com.atlassian.bitbucket.scm.git.command.merge.conflict.GitMergeConflictType.SUBMODULE;

/**
 * A merge conflict where the same submodule has been updated to point to different commits.
 */
public class SubmoduleGitMergeConflict extends AbstractPathGitMergeConflict {

    public SubmoduleGitMergeConflict(@Nonnull String message, @Nonnull String path) {
        super(SUBMODULE, message, MODIFY, path);
    }

    @Override
    public void accept(@Nonnull GitMergeConflictVisitor visitor) {
        visitor.visit(this);
    }
}
